OpenNMS API 1.2.9

## org.opennms.core.utils
Class ClassExecutor

    java.lang.Object
      org.opennms.core.utils.ClassExecutor

All Implemented Interfaces:
  ExecutorStrategy

public class ClassExecutor
extends java.lang.Object
implements ExecutorStrategy

Implementation of Executor strategy that instantiates a Java class.

Author:
  David Hustace , OpenNMS

Constructor Summary
`ClassExecutor()`

Method Summary
`int` `execute(java.lang.String className, java.util.List arguments)` This method calls the send method of the specified class in

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassExecutor

    public ClassExecutor()

Method Detail

### execute

    public int execute(java.lang.String className,
                       java.util.List arguments)

  This method calls the send method of the specified class in

  Specified by:
    `execute` in interface `ExecutorStrategy`
  Parameters:
    `arguments` - a list of Argument objects that need to be passed to the class
    `className` - the command/class to execute/instantiate
  Returns:
    int, the return code of the send method of the plug-in

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.